package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.common.CommConstant;
import com.huiju.estateagents.entity.ExtendContent;
import com.huiju.estateagents.mapper.ExtendContentMapper;
import com.huiju.estateagents.service.IExtendContentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 辅助内容表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Service
public class ExtendContentServiceImpl extends ServiceImpl<ExtendContentMapper, ExtendContent> implements IExtendContentService {

    @Autowired
    private ExtendContentMapper extendContentMapper;
    @Override
    public ResponseBean extendContentAdd(ExtendContent extendContent) {
        ResponseBean responseBean= new ResponseBean<>();
        if ("1".equals(extendContent.getContentType())){
            extendContent.setContentType(CommConstant.CAROUSEL_ACTIVITY);
        }else if("2".equals(extendContent.getContentType())){
            extendContent.setContentType(CommConstant.CAROUSEL_PROJECT);
        }else if ("3".equals(extendContent.getContentType())){
            extendContent.setContentType(CommConstant.CAROUSEL_INFORMATION);
        }
        extendContentMapper.insert(extendContent);
        responseBean.addSuccess("成功");
        return  responseBean;
    }

    @Override
    public ResponseBean selectExtendContentList(ExtendContent extendContent) {
        ResponseBean responseBean = new ResponseBean<>();
        // 查询轮播图
        QueryWrapper<ExtendContent> extendContentQuery= new QueryWrapper<>();
        extendContentQuery.eq("show_position",CommConstant.CAROUSEL);
        extendContentQuery.eq("content_type",extendContent.getContentType());
        extendContentQuery.eq("building_id",extendContent.getBuildingId());
        extendContentQuery.eq("status","1");
        List<ExtendContent> taExtendContent = extendContentMapper.selectList(extendContentQuery);
        responseBean.addSuccess(taExtendContent);
        return responseBean;
    }

    @Override
    public ResponseBean selectExtendContentListShowType(ExtendContent extendContent) {
        ResponseBean responseBean= new ResponseBean<>();
        // 开屏
        QueryWrapper<ExtendContent> extendContentQuery= new QueryWrapper<>();
        extendContentQuery.eq("show_type",CommConstant.OPEN_SCREEN);
        extendContentQuery.eq("content_type",extendContent.getContentType());
        extendContentQuery.eq("building_id",extendContent.getBuildingId());
        extendContentQuery.eq("status","1");
        ExtendContent taExtendContent = extendContentMapper.selectOne(extendContentQuery);
        responseBean.addSuccess(taExtendContent);
        return responseBean;
    }
}
